complexType "CreditSupportAgreement"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | type?, date?, identifier?
</...>

Content Model Elements (3):

  date (in creditSupportAgreement), identifier (in creditSupportAgreement), | type (in creditSupportAgreement)

All Direct / Indirect Based Elements (1):

  creditSupportAgreement

Known Usage Locations

- As direct type of elements (1):
  creditSupportAgreement

Annotation
The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CreditSupportAgreement"> <xsd:sequence> <xsd:element minOccurs="0" name="type" type="CreditSupportAgreementType"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> <xsd:element minOccurs="0" name="identifier" type="CreditSupportAgreementIdentifier"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
date

  Type: | xsd:date, predefined, simple content

  The date of the agreement executed between the parties and intended to govern collateral arrangements for all OTC derivatives transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="date" type="xsd:date"/>

identifier

  Type: | CreditSupportAgreementIdentifier, simple content

  An identifier used to uniquely identify the CSA
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="identifier" type="CreditSupportAgreementIdentifier"/>

type

  Type: | CreditSupportAgreementType, simple content

  The type of ISDA Credit Support Agreement
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="CreditSupportAgreementType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.